=== debian/changelog ===
postgis (1.2.1-2) unstable; urgency=low

  * Added build-dep from libjts-java 1.7
    (closes: #425919)
  * Added me among uploaders.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 16 Jun 2007 01:00:49 +0200

postgis (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Migrate to PostgreSQL 8.2-only (Closes: #419297)
  * Remove busted templategis from the build (new in 1.2.1 anyway).
    (Currently attempts to install files in /etc/default, doesn't
     respect $DESTDIR and overall looks like a godawful mess)

 -- Stephen Frost <sfrost@debian.org>  Fri, 13 Apr 2007 09:19:18 +0200

postgis (1.1.6-2) unstable; urgency=low

  * debian/README.Debian: added documentation for the new users on how to use
    postgis and how to enable it for new or existent databases.

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 18 Dec 2006 17:19:27 +0100

postgis (1.1.6-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Tue,  7 Nov 2006 09:47:00 +0100

postgis (1.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 31 Oct 2006 21:56:32 +0100

postgis (1.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Fri,  6 Oct 2006 10:51:51 +0200

postgis (1.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 16 Jul 2006 22:19:25 +0200

postgis (1.1.2-1) unstable; urgency=low

  - Fabio Tranchitella <kobold@debian.org>
    * New upstream release. (Closes: #314854)
    * Renamed packages to follow the actual naming conventions. 
      (Closes: #312675)
    * Re-packaging, let's try to have postgis in etch. (Closes: #309528, #310094)
    * Fixed several FTBFS and uninstallable bugs.
      (Closes: #316519, #335631, #363946, #323120)
    * Fixed libpostgis-java package FTBFS. (Closes: #308848)
    * Move to the new postgresql infrastructure. (Closes: #321913, #312676)
    * Team maintainership, added myself as uploader.

  - Stephen Frost <sfrost@debian.org>
    * Added myself as uploader
    * Removed Alex from uploaders (for now at least)
    * Cleaned up doc/html/postgis.html handling
    * Renamed postgis-common -> postgis
    * Made postgis package Arch: any
    * Moved PostGIS binaries into base postgis package
    * Changed postgis package to only suggest server packages (could very
      reasonably be installed on a non-server machine for the PostGIS
      binaries)
    * Dropped extra extraneous linking (previously the server module and
      the binaries were linking to everything the Postgres server linked
      to, unnecessary and potentially dangerous)
    * Dropped support for 7.4, after discussion with Martin Pitt and others
      it's clear that there isn't any need for a 7.4 version of PostGIS in
      etch.
    * New upstream release Closes: #311732

 -- Stephen Frost <sfrost@debian.org>  Wed, 31 May 2006 16:33:48 -0400

postgis (1.1.0-7) unstable; urgency=low

  * postgresql-postgis-common should depend on postgresql-common | postgresql, 
    not the other way.
  
 -- Alex Bodnaru <alexbodn@012.net.il>  Tue, 21 Mar 2006 03:13:04 +0200

postgis (1.1.0-6) unstable; urgency=low

  * Closes: #312675
    postgresql-postgis-utils is the only utils package, replacing the 
    previous postgresql-pg_version-postgis-utils. a further elimination 
    of older method reminiscence.
  
 -- Alex Bodnaru <alexbodn@012.net.il>  Sat, 18 Mar 2006 23:13:04 +0200

postgis (1.1.0-5) unstable; urgency=low

  * Closes: #312675
    postgresql-postgis-utils is the only utils package, replacing the 
    previous postgresql-pg_version-postgis-utils.
  * Closes: 335631
    Depends on libgeos which passed c2 ABI transition.
  * Uses /usr/share/postgresql-common/supported-versions to dynamically
    detect postgresql supported versions. thanks martin.
  
 -- Alex Bodnaru <alexbodn@012.net.il>  Thu, 9 Mar 2006 04:26:05 +0200

postgis (1.1.0-4) unstable; urgency=low

  * made invariable control file to match standards. the control file 
    may be made automatically by calling 'debian/rules maintainer-configure'
  * the supported postgresql versions may be filtered, by filling 
    'debian/_supported.postgresql'.
  * the postgis binary packages have been renamed, to obey the postgresql 
    standard for extension packages: now their name allways begins with 
    'postgresql', eventually followed by the postgresql major and minor 
    version, if a specific one is needed.
    'libpostgis' has become 'postgis'.

 -- Alex Bodnaru <alexbodn@012.net.il>  Mon, 27 Feb 2006 03:26:15 +0200

postgis (1.1.0-3) unstable; urgency=low

  * minor bug fixes
  * recompilation

 -- Alex Bodnaru <alexbodn@012.net.il>  Sun, 26 Feb 2006 05:16:09 +0200

postgis (1.1.0-2) unstable; urgency=low

  * minor bug fixes
  * the package builds again on systems without multiclustering postgresql.

 -- Alex Bodnaru <alexbodn@012.net.il>  Wed, 28 Dec 2005 07:11:39 +0200

postgis (1.1.0-1) unstable; urgency=low

  * Automatic upstream version tracking.

 -- Alex Bodnaru <alexbodn@012.net.il>  Wed, 21 Dec 2005 05:15:37 +0200

postgis (1.0.4-2) unstable; urgency=low

  * Closes: #321913 Closes: #312676
    Support of multiple postgis installations on the same postgresql server.
    Please note:
    - The template database will be template_gis#SONAME#,
    - The famous (lw)?postgis.sql file will be postgis#SONAME#.sql,
    where #SONAME# is roughly the major upstream postgis version.
  * Closes: #323120
    The building process is autodetecting the appropriate postgresql-dev.
  * README.Debian updated to support multiversion postgresql architecture.
  * Closes: #314854
    Newer upstream version.
  * Minor improvements to make the build process more quiet.
  * Default variables are being kept in configuration files. Thus, the same 
    package diff will serve for postgis-0.9 and 1.0.
  * Closes: #310100

