=== extras/debian/changelog ===
postgis (1.1.0+CVS-1) unstable; urgency=low

  * Automatic upstream version tracking.

 -- Alex Bodnaru <alexbodn@012.net.il>  Tue, 28 Jun 2005 04:01:59 +0300
