=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp
	[ -f doc/html/postgis.html.prev ] && mv doc/html/postgis.html.prev doc/html/postgis.html || true
	-$(MAKE) distclean
	-$(MAKE) -C java/jdbc clean
	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure \
		--with-docdir=\$${prefix}/share/doc/postgis \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info

	# PostGIS JDBC (with debug support)
	$(MAKE) -C java/jdbc clean
	DEBUGJAR=postgis_debug.fastjar JAR=fastjar JAVAC=jikes-classpath $(MAKE) -C java/jdbc jar
	DEBUGJAR=postgis_debug.fastjar JAR=fastjar JAVAC=jikes-classpath $(MAKE) -C java/jdbc install DESTDIR=$(CURDIR)/debian/libpostgis-java/usr/share/java/$(JAVA_PATH)
	$(MAKE) distclean
	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Documentation and common files for PostGIS
	[ ! -f doc/html/postgis.html.prev ] && cp doc/html/postgis.html doc/html/postgis.html.prev || true

	# PostGIS for PostgreSQL 8.2
	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--with-docdir=$(CURDIR)/debian/postgis/usr/share/doc \
		--exec-prefix=\$${prefix}/lib/postgresql/8.2 \
		--datadir=\$${prefix}/share/postgresql-8.2-postgis \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--with-pgsql=/usr/lib/postgresql/8.2/bin/pg_config \
		--with-geos \
		--with-proj
	$(MAKE)
	$(MAKE) -C doc
	$(MAKE) install prefix=$(CURDIR)/debian/postgresql-8.2-postgis/usr
	$(MAKE) -C doc install prefix=$(CURDIR)/debian/postgis/usr
	mv $(CURDIR)/debian/postgresql-8.2-postgis/usr/lib/postgresql/8.2/bin $(CURDIR)/debian/postgis/usr
	$(MAKE) distclean

	dh_install -s

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch
