=== debian/watch ===
# Example watch control file for uscan
# You can run the "uscan" command to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=2
http://postgis.refractions.net/download/postgis-(.*)\.tar\.gz	debian	uupdate
